# -*- coding=utf8 -*-
#******************************************************************************
# Library.py
#------------------------------------------------------------------------------
#
# Copyright (c) 2013-2015 LivingOn <LivingOn@xmail.net>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#******************************************************************************
import os

from resources.lib.Playlist import Playlist

def create_strm_files(path):
    library = "%s/Ijon Tichy" % path
    _create_library(library)
    _create_strm_files(library)

def _create_library(path):
    try:
        os.mkdir(path)    
    except OSError:
        pass
        
def _create_strm_files(library):
    for (title, url, _) in Playlist():
        episode = title[:6]
        title = title[7:]
        filename = "%s/%s Ijon Tichy - %s.strm" % (library, episode, title)
        _create_strm_file(filename, url)

def _create_strm_file(filename, url):
    try:
        fd = open(filename, "w")
        fd.write(url)
        fd.close()
    except IOError:
        pass
